4 Replies Latest reply on Feb 28, 2017 7:22 AM by Filip Vymola

    How to change BOM options from configuration name to custom name?

    Filip Vymola

      Hi there,

       

      I need change BOM options from configuration name to custom name on configuration. I was looking for on this forum, but I'm probably idiot. I don't understand that. I chcecked this:

      https://forum.solidworks.com/message/470779#comment-470779

      Partnumber-configuation Macro

       

      But it change all configuration names in part / assembly. I need change only one, because my part / assembly number has got two variable names. (E. g. 1234_variable1_AA_variable2.sldprt I need set custom name after add new configuration.

       

      I add new configuration via this code:

      Option Explicit

       

          Dim swApp As SldWorks.SldWorks

          Dim Model As ModelDoc2

          Dim ConfigMgr As ConfigurationManager

          Dim FullName As String

       

      Sub PR61()

       

          Set swApp = Application.SldWorks

          Set Model = swApp.ActiveDoc

          Set ConfigMgr = Model.ConfigurationManager

       

          FullName = "61" & UserForm1.TextBoxCisKonf.Value

          ConfigMgr.AddConfiguration FullName, "Ag", "", 0, "", FullName

       

           'Here I need code for change BOM options, for one configuration only

      End Sub

       

      I found this code: sConfig.BOMPartNoSource = swBOMPartNumber_ConfigurationName but i don't know, how it use.

       

      Thanks a lot!